package com.ndipiazza;

import javax.ejb.SessionContext;
import javax.ejb.SessionBean;

/**
 * Olexiy Prokhorenko
 * http://www.prohorenko.com
 */

/**
 * Please, pay your attention! ExLocBean and ExRemBean are absolutely identical!
 * The only difference is there title.
 * It was done just to "visually" separate two beans. And show that one has only
 * Local, and other one only Remote interfaces.
 */

public class ExLocBean implements SessionBean {

    private SessionContext ctx;

    public void setSessionContext(SessionContext ctx) {
        this.ctx = ctx;
        System.out.println("ExLoc: setSessionContext(...)");
    }

    public void ejbCreate() {
        System.out.println("ExLoc: ejbCreate()");
    }

    public void ejbActivate() {
        System.out.println("ExLoc: ejbActivate()");
    }

    public void ejbPassivate() {
        System.out.println("ExLoc: ejbPassivate()");
    }

    public void ejbRemove() {
        System.out.println("ExLoc: ejbRemove()");
    }

    public String sayHello() {
        System.out.println("ExLoc: sayHello()");
        return "Hello from EJB with local client view!";
    }

}
